<?php
$config = array(
		'signup' => array (
			
			array(
				'field'   => 'emailAddress',
				'label'   => 'lang:EmailAddress',
				'rules'   => 'required|valid_email'
			),
			array(
				'field'   => 'password',
				'label'   => 'lang:Password',
				'rules'   => 'required|min_length[6]'
			),
			array(
				'field'   => 'passwordConfirmation',
				'label'   => 'lang:PasswordConfirmation',
				'rules'   => 'required|matches[password]'
			))
		,
		 'contact' => array(
			array(
				'field' => 'emailAddress',
				'label' => 'lang:EmailAddress',
				'rules' => 'required|valid_email'
			),
			array(
				'field' => 'name',
				'label' => 'lang:Name',
				'rules' => 'required'
			),
			array(
				'field' => 'phone',
				'label' => 'lang:Phone',
				'rules' => ''
			),
			array(
				'field' => 'message',
				'label' => 'lang:Message',
				'rules' => 'required'
			)
		),
		'recoverPassword' => array(
			array(
				'field' => 'emailAddress',
				'label' => 'lang:EmailAddress',
				'rules' => 'required|valid_email'
			)
		),
		'order_delivery_data' => array(
				array(
						'field' => 'name',
						'label' => 'lang:Name',
						'rules' => 'required'
				),
				array(
						'field' => 'nif',
						'label' => 'lang:NIF',
						'rules' => 'required'
				),
				array(
						'field' => 'address',
						'label' => 'lang:Address',
						'rules' => 'required'
				),
				array(
						'field' => 'zip',
						'label' => 'lang:ZipCode',
						'rules' => 'required'
				),
				array(
						'field' => 'city',
						'label' => 'lang:City',
						'rules' => 'required'
				),
				array(
						'field' => 'emailAddress',
						'label' => 'lang:EmailAddress',
						'rules' => 'required|valid_email'
				)
		),
		'order_secondary_delivery_data' => array(
				array(
						'field' => 'sec_name',
						'label' => 'lang:Name',
						'rules' => 'required'
				),
				array(
						'field' => 'sec_address',
						'label' => 'lang:Address',
						'rules' => 'required'
				),
				array(
						'field' => 'sec_zip',
						'label' => 'lang:ZipCode',
						'rules' => 'required'
				),
				array(
						'field' => 'sec_city',
						'label' => 'lang:City',
						'rules' => 'required'
				)
		),
		'changePassword' => array(
				array(
						'field' => 'currentPassword',
						'label' => 'lang:CurrentPassword',
						'rules' => 'required'
				),
				array(
					'field'   => 'password',
					'label'   => 'lang:Password',
					'rules'   => 'required|min_length[6]'
				),
				array(
					'field'   => 'passwordConfirmation',
					'label'   => 'lang:PasswordConfirmation',
					'rules'   => 'required|matches[password]'
				)
		),
		'profile' => array(
				array(
						'field' => 'phone',
						'label' => 'lang:Phone',
						'rules' => 'numeric|exact_length[9]'
				),
				array(
						'field' => 'mobilePhone',
						'label' => 'lang:MobilePhone',
						'rules' => 'numeric|exact_length[9]'
				),
				array(
						'field' => 'nif',
						'label' => 'lang:NIF',
						'rules' => 'numeric'
				)
		),
    'subscribe_newsletter' => array(
        array(
						'field' => 'emailAddress',
						'label' => 'lang:EmailAddress',
						'rules' => 'required|valid_email'
				)
		)
		
		
);